---
title: "Why it's time to switch your centralized version control system to distributed"
author: "Suri Patel"
author_gitlab: suripatel
author_twitter: suri__patel
categories: insights
image_title: '/images/blogimages/distributedvcs.jpg'
description: "We share a few reasons why high-performing software development teams use distributed version control systems."
tags: git, workflow, collaboration
twitter_text: "Using a centralized version control system? It’s time to switch to distributed"
featured: no
postType: content marketing
related_posts:
  - "/blog/2020/03/13/partial-clone-for-massive-repositories/"
  - "/blog/2020/04/20/ultimate-git-guide/"
  - "/blog/2020/04/07/15-git-tips-improve-workflow"
merch_banner: merch_seven
---

Distributed version control has the power to increase collaboration and streamline development, but many teams are still using a centralized version control system that prevents them from reaching their full development potential. If your team uses a centralized version control system, velocity, code quality, and collaboration aren’t at the same levels of high-performing teams that consistently deliver valuable products at rapid speeds. Using a [version control](/topics/version-control/) system isn’t enough to stay competitive in today’s market - you have to use the best tools available.

## Centralized version control: A relic from the past

A centralized version control system relies on a central server where developers commit changes. Users like centralized systems, because they’re simple to set up and provide admins with workflow controls. Centralized vcs, like Subversion, CVS, and Perforce, solve the age-old problem of manually storing multiple copies on a hard drive, but the few benefits don’t outweigh what’s at risk from relying on a [single server](https://git-scm.com/book/en/v2/Getting-Started-About-Version-Control).

If the only copy of a project becomes corrupted or goes down, developers are unable to access the code or retrieve previous versions. Also, remote commits are extremely slow, because users must commit through a network to the central repository, which can slow down systems. Users must also be in network to push changes, limiting where and when developers can commit. Merging and branching are also difficult and confusing, since contributors have to track merges and branch as a single check-in.

## Distributed version control: The key to rapid software development

Unlike a centralized version control system, a distributed version control doesn’t have a single point of failure, because developers clone repositories on their distributed version control workstations, creating multiple backup copies. If the source code is corrupted, teams can use any developer’s clone as a backup, increasing security since there’s little risk of losing a project’s entire history. Also, because there are local copies, developers can commit offline, which offers flexibility in their personal workflow and prevents having to commit as a giant changeset. Distributed version control, such as Git, Bazaar, and Mercurial, offers fast [branching](/topics/version-control/what-is-git-workflow/), because there’s no communication with a remote server - everything is done on a local drive.

Are you ready for a quick look at Git, the most popular distributed version control system? [Brendan O’Leary](/company/team/#brendan), senior developer evangelist, explains Git basics to help teams get started in the video below.

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube-nocookie.com/embed/9oDNBuive-g" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

The biggest challenge to switching to a distributed version control system is the learning curve. Teams will be able to ship higher quality code at new speeds using a distributed version control.

Cover image by [Hans-Peter Gauster](https://unsplash.com/@sloppyperfectionist?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText) on [Unsplash](https://unsplash.com/photos/3y1zF4hIPCg)
{: .note}
